package kr.co.vividnext.sodalive.admin.calculate

import com.querydsl.core.annotations.QueryProjection
import kr.co.vividnext.sodalive.can.use.CanUsage

data class GetCalculateLiveQueryData @QueryProjection constructor(
    val email: String,
    val nickname: String,
    val date: String,
    val title: String,
    // 유료방 입장 금액
    val entranceFee: Int,
    // 코인 사용 구분
    val canUsage: CanUsage,
    // 참여인원
    val memberCount: Long,
    // 합계
    val totalAmount: Int
)
