package kr.co.vividnext.sodalive.can.charge.free

import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RequestParam
import org.springframework.web.bind.annotation.RestController

@RestController
@RequestMapping("/charge/ads")
class AdsChargeController(private val service: AdsChargeService) {
    @GetMapping
    fun adsCharge(
        @RequestParam("transaction_key") transactionKey: String,
        @RequestParam("placement_uid") placementUid: String,
        @RequestParam("ad_key") adKey: String,
        @RequestParam("ad_name") adName: String,
        @RequestParam("ad_profit") adProfit: String,
        @RequestParam("ad_currency") adCurrency: String,
        @RequestParam("point") point: String,
        @RequestParam("device_ifa") deviceIfa: String,
        @RequestParam("picker_uid") memberId: String
    ) {
        service.adsCharge(
            transactionKey,
            placementUid,
            adKey,
            adName,
            adProfit,
            adCurrency,
            point,
            deviceIfa,
            memberId
        )
    }
}
