package kr.co.vividnext.sodalive.member

import org.springframework.security.core.authority.SimpleGrantedAuthority
import org.springframework.security.core.userdetails.User

class MemberAdapter(val member: Member) : User(
    member.email,
    member.password,
    listOf(SimpleGrantedAuthority("ROLE_${member.role.name}"))
)
