package kr.co.vividnext.sodalive.creator.admin.content

import com.querydsl.core.annotations.QueryProjection

data class GetCreatorAdminContentListResponse(
    val totalCount: Int,
    val items: List<GetCreatorAdminContentListItem>
)

data class GetCreatorAdminContentListItem @QueryProjection constructor(
    val audioContentId: Long,
    val title: String,
    val detail: String,
    var coverImageUrl: String,
    val creatorNickname: String,
    val theme: String,
    val price: Int,
    val isAdult: Boolean,
    val isCommentAvailable: Boolean,
    val remainingTime: String,
    var contentUrl: String,
    val date: String
) {
    var tags: String = ""
}
