package kr.co.vividnext.sodalive.event

import kr.co.vividnext.sodalive.common.BaseEntity
import javax.persistence.Column
import javax.persistence.Entity

@Entity
data class Event(
    @Column(nullable = false)
    var thumbnailImage: String,
    @Column(nullable = true)
    var detailImage: String?,
    @Column(nullable = true)
    var popupImage: String?,
    @Column(nullable = true)
    var link: String?,
    @Column(nullable = true)
    var title: String?,
    @Column(nullable = true)
    var isAdult: Boolean? = null,
    @Column(nullable = false)
    var isPopup: Boolean = false,
    @Column(nullable = false)
    var isActive: Boolean = true
) : BaseEntity()
