package kr.co.vividnext.sodalive.live.tag

import kr.co.vividnext.sodalive.common.BaseEntity
import javax.persistence.Column
import javax.persistence.Entity

@Entity
data class LiveTag(
    @Column(unique = true, nullable = false)
    var tag: String,
    @Column(nullable = false)
    var isAdult: Boolean = false,
    @Column(nullable = true)
    var image: String? = null,
    @Column(nullable = false)
    var isActive: Boolean = true,
    @Column(nullable = false)
    var orders: Int = 1
) : BaseEntity()
